Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nz.co.cks.tms.xml
Class ResponseEnquiryItemDescriptor

    java.lang.Object
      org.exolab.castor.xml.Validator
          org.exolab.castor.xml.util.XMLClassDescriptorImpl
              nz.co.cks.tms.xml.ResponseEnquiryItemTypeDescriptor
                  nz.co.cks.tms.xml.ResponseEnquiryItemDescriptor

All Implemented Interfaces:
  org.exolab.castor.mapping.ClassDescriptor, org.exolab.castor.xml.ClassValidator, org.exolab.castor.xml.TypeValidator, org.exolab.castor.xml.XMLClassDescriptor

public class ResponseEnquiryItemDescriptor
extends ResponseEnquiryItemTypeDescriptor

Class ResponseEnquiryItemDescriptor.

Version:
  $Revision$ $Date$

Field Summary
`private org.exolab.castor.xml.XMLFieldDescriptor` | `identity` Field identity
`private java.lang.String` | `nsPrefix` Field nsPrefix
`private java.lang.String` | `nsURI` Field nsURI
`private java.lang.String` | `xmlName` Field xmlName

Fields inherited from class org.exolab.castor.xml.util.XMLClassDescriptorImpl
``

Constructor Summary
`ResponseEnquiryItemDescriptor()`

Method Summary
`org.exolab.castor.mapping.AccessMode` | `getAccessMode()` Method getAccessMode
`org.exolab.castor.mapping.ClassDescriptor` | `getExtends()` Method getExtends
`org.exolab.castor.mapping.FieldDescriptor` | `getIdentity()` Method getIdentity
`java.lang.Class` | `getJavaClass()` Method getJavaClass
`java.lang.String` | `getNameSpacePrefix()` Method getNameSpacePrefix
`java.lang.String` | `getNameSpaceURI()` Method getNameSpaceURI
`org.exolab.castor.xml.TypeValidator` | `getValidator()` Method getValidator
`java.lang.String` | `getXMLName()` Method getXMLName

Methods inherited from class org.exolab.castor.xml.util.XMLClassDescriptorImpl
`addFieldDescriptor, canAccept, contains, getAttributeDescriptors, getContentDescriptor, getElementDescriptors, getFieldDescriptor, getFields, hasContainerFields, removeFieldDescriptor, setCompositorAsAll, setCompositorAsChoice, setCompositorAsSequence, setExtends, setExtendsWithoutFlatten, setIdentity, setIntrospected, setJavaClass, setNameSpacePrefix, setNameSpaceURI, setXMLName, sortDescriptors, toString, toXMLName, validate, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### identity

    private org.exolab.castor.xml.XMLFieldDescriptor identity

  Field identity

### nsPrefix

    private java.lang.String nsPrefix

  Field nsPrefix

### nsURI

    private java.lang.String nsURI

  Field nsURI

### xmlName

    private java.lang.String xmlName

  Field xmlName

Constructor Detail

### ResponseEnquiryItemDescriptor

    public ResponseEnquiryItemDescriptor()

Method Detail

### getAccessMode

    public org.exolab.castor.mapping.AccessMode getAccessMode()

  Method getAccessMode

  Specified by:
    `getAccessMode` in interface `org.exolab.castor.mapping.ClassDescriptor`
  Overrides:
    `getAccessMode` in class `ResponseEnquiryItemTypeDescriptor`

### getExtends

    public org.exolab.castor.mapping.ClassDescriptor getExtends()

  Method getExtends

  Specified by:
    `getExtends` in interface `org.exolab.castor.mapping.ClassDescriptor`
  Overrides:
    `getExtends` in class `ResponseEnquiryItemTypeDescriptor`

### getIdentity

    public org.exolab.castor.mapping.FieldDescriptor getIdentity()

  Method getIdentity

  Specified by:
    `getIdentity` in interface `org.exolab.castor.mapping.ClassDescriptor`
  Overrides:
    `getIdentity` in class `ResponseEnquiryItemTypeDescriptor`

### getJavaClass

    public java.lang.Class getJavaClass()

  Method getJavaClass

  Specified by:
    `getJavaClass` in interface `org.exolab.castor.mapping.ClassDescriptor`
  Overrides:
    `getJavaClass` in class `ResponseEnquiryItemTypeDescriptor`

### getNameSpacePrefix

    public java.lang.String getNameSpacePrefix()

  Method getNameSpacePrefix

  Specified by:
    `getNameSpacePrefix` in interface `org.exolab.castor.xml.XMLClassDescriptor`
  Overrides:
    `getNameSpacePrefix` in class `ResponseEnquiryItemTypeDescriptor`

### getNameSpaceURI

    public java.lang.String getNameSpaceURI()

  Method getNameSpaceURI

  Specified by:
    `getNameSpaceURI` in interface `org.exolab.castor.xml.XMLClassDescriptor`
  Overrides:
    `getNameSpaceURI` in class `ResponseEnquiryItemTypeDescriptor`

### getValidator

    public org.exolab.castor.xml.TypeValidator getValidator()

  Method getValidator

  Specified by:
    `getValidator` in interface `org.exolab.castor.xml.XMLClassDescriptor`
  Overrides:
    `getValidator` in class `ResponseEnquiryItemTypeDescriptor`

### getXMLName

    public java.lang.String getXMLName()

  Method getXMLName

  Specified by:
    `getXMLName` in interface `org.exolab.castor.xml.XMLClassDescriptor`
  Overrides:
    `getXMLName` in class `ResponseEnquiryItemTypeDescriptor`

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD